@use './styles/badge-notification.variations' as variations;
@use './styles/badge-notification.variables' as *;
@use '../../../global/styles/utilities' as *;

:host {
  $base: '.digi-badge-notification';
  @include digi-badge-notification--variables;

  #{$base} {
    font-size: rem(12);
    font-weight: var(--digi--badge-notification--font-weight);
    border: var(--digi--border-width--secondary) solid;
    color: var(--digi--badge-notification--color--text);
    background-color: var(--digi--badge-notification--background-color);
    border-color: var(--BORDER-COLOR);

    &--circle {
      @include variations.circle;
      display: flex;
      justify-content: center;
      align-items: center;
      white-space: nowrap;
      text-align: center;
      border-radius: 50%;
      height: rem(20);
      width: rem(20);
    }

    &--oval {
      @include variations.oval;
      display: flex;
      justify-content: center;
      align-items: center;
      white-space: nowrap;
      text-align: center;
      border-radius: rem(12);
      height: rem(18);
      width: rem(25);
      padding-left: rem(4);
      padding-right: rem(4);
    }

    &--pill {
      @include variations.pill;
      display: inline-block;
      padding-left: rem(8);
      padding-right: rem(8);
      border-radius: rem(12);
      height: rem(18);
    }
  }
}
